### Name: returnModel
### Title: Return the model
### Aliases: returnModel
### Keywords: methods multivariate

### ** Examples

library(CoCoCg);

# Without "data" require ending the CoCo object:

# returnModel("abxy,bcyz", type = "linear", data = "From.input", continuous = "xyz");
# endCoCo();

# With CoCo a object:

data(Rats);
CoCoObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoObject);
fullModel <- makeModel(enterModel("*", object = CoCoObject));

enterModel("[[b][a]] / [[by][bx][ay][ax]] / [[xy]]", object = CoCoObject);
enterModel("[[a][b]] / [[ay][ax][bx]] / [[xy]]", object = CoCoObject);

homogeneModel <- makeModel(enterModel("[[ab]] / [[aby][abx]] / [[x^][abxy][y^]]",
                           object = CoCoObject));

# Show the model list:

showModel("all", object = CoCoObject);

returnModel(object = CoCoObject);

returnModel(type="discrete", object = CoCoObject);
returnModel(type="linear", object = CoCoObject);
returnModel(type="quadratic", object = CoCoObject);

returnModel(type="gc", object = CoCoObject);
returnModel(type="cs", object = CoCoObject);

returnModel(3, type="gc", object = CoCoObject);

returnModel(3, type="discrete", object = CoCoObject);
returnModel(3, type="linear", object = CoCoObject);
returnModel(3, type="quadratic", object = CoCoObject);

returnModel(3, object = CoCoObject, split.string = TRUE);
str(returnModel(3, object = CoCoObject, split.generators = TRUE));

returnModel(3, object = CoCoObject, as.edges = TRUE);
.fix.edges("xy")
returnModel(3, object = CoCoObject, as.edges = TRUE);
returnModel(3, object = CoCoObject, as.edges = TRUE, fix = "all");

returnModel("abx", type = "discrete", object = CoCoObject);
returnModel("a,bx", type = "discrete", object = CoCoObject);

endCoCo(object = CoCoObject);




